/*
 *Header:
 *File: netif.h (for C++)
 *Author: Noda Itsuki
 *Date: 1996/01/29
 *EndHeader:
 */

#include <sys/socket.h>
#ifdef	Solaris
#define bcopy(a, b)	memset(a, 0, b) 
#include <sys/filio.h>
#else
#include <sys/ioctl.h>
#endif
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <fcntl.h>

/*
 *===================================================================
 *Part: Port class
 *===================================================================
 */
class Port {
	public: 
		int					socketfd ;			/* socket discriptor */
		char				host[256] ;			/* server's host name */
		int					portnum ;			/* server's port number */
		struct sockaddr_in	serv_addr ;			/* server addr structure */
		dispinfo_t			rinfo ;				/* receive packet buffer */

							Port() ;			/* constructor */
		Bool				init(void) ;	
		Bool				send_info(char *) ;
		char				recv_info(void) ;
} ;
